Bug 73116 - fam eats memory until OOM
Summary: fam eats memory until OOM
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: fam   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218 79579
TreeView+ depends on / blocked
 
Reported: 2002-08-30 21:49 UTC by Elliot Lee
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-31 15:47:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
use getgrouplist function instead of slow impl (640 bytes, patch)
2002-08-30 22:17 UTC, Elliot Lee
no flags Details | Diff
Again (399 bytes, patch)
2002-09-09 10:53 UTC, Elliot Lee
no flags Details | Diff

Description Elliot Lee 2002-08-30 21:49:00 UTC
Description of Problem:

I tried to log into GNOME, it just got into this endless loop of eating memory until it died 
and was respawned by xinetd.
Logging into GNOME kicks off an endless loop: eat memory until OOMkilled, then get 
respawned by xinetd.

fam-2.6.8-4, glibc-2.2.91-1, kernel-2.4.18-12.5

Comment 1 Elliot Lee 2002-08-30 22:16:08 UTC
ahah, glibc bug with NIS groups.

Attaching a patch for fam to make it use the more efficient getgrouplist (also necessary will 
be adding -DHAVE_GETGROUPLIST to the compilation flags).

Comment 2 Elliot Lee 2002-08-30 22:17:50 UTC
Created attachment 74044 [details]
use getgrouplist function instead of slow impl

Comment 3 Alexander Larsson 2002-08-31 08:38:47 UTC
Eh. That patch looks garbled, but it's probably ok.


Comment 4 Alexander Larsson 2002-09-09 06:44:58 UTC
Elliot, can you re-attach the patch?


Comment 5 Elliot Lee 2002-09-09 10:53:05 UTC
Created attachment 75546 [details]
Again

Comment 6 Alexander Larsson 2002-09-09 11:17:46 UTC
That one looks better.
I wonder what happened to the first one.


Comment 7 Alexander Larsson 2003-01-31 14:55:07 UTC
elliot: That patch doesn't really do anything at the moment. 
HAVE_GETGROUPLIST is not ever set, and i think you need to pass some magic
BSD_SOURCE or GNU_SOURCE define. 

Comment 8 Alexander Larsson 2003-01-31 15:01:35 UTC
I guess we could force the defines in the specfile though..


Comment 9 Alexander Larsson 2003-01-31 15:23:53 UTC
The patch is building in 2.6.8-9


Comment 10 Alexander Larsson 2003-01-31 15:47:54 UTC
Seems to work.



Note You need to log in before you can comment on or make changes to this bug.